<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 25, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Import functions
  import {scaleLog} from 'd3-scale'; 
  import {axisBottom} from 'd3-axis';
  import {select} from 'd3-selection';
  

  // Array
  const values = [2, 4, 6, 7, 9];

  // Create scale
  const xScale = scaleLog().domain([1,10]).range([0,width-20]);

  // Create axis
  let xAxis=axisBottom(xScale);

  // Action for axis
  function showAxis(g){
      xAxis(select(g))
  }

</script>

<style>
  
 circle{
    fill: steelblue;
  }

  text{
    font-size: small;
  }

</style>

<svg viewBox="0 0 {width} {height}">

  <!-- points -->>
  <g transform="translate({margin.left},{margin.top})">
    {#each values as dp}
      <circle cx={xScale(dp)}
              cy = {(height+margin.top)/2}
              r=10></circle>
    {/each}
  </g>

  <!-- x - axis -->
  <g xAxis use:showAxis transform="translate({margin.left},{height-"20"})"></g>
  
  <!-- axis label-->
  <text x={innerWidth/2} y={innerHeight+25} text-anchor="start">x-axis</text>
</svg>
